| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
AIE interface
Vector Conversions » Shift-Round-Saturate

## 32-bit accumulator to 8-bit vector register conversion with dynamic shift/round/saturate selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v32int8 | ssrs (v32acc32 acc, int shft, int sign)
v32int8 | ssrs_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint8 | ussrs (v32acc32 acc, int shft, int sign)
v32uint8 | ussrs_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v64int8 | ssrs (v64acc32 acc, int shft, int sign)
v64int8 | ssrs_conf (v64acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v64uint8 | ussrs (v64acc32 acc, int shft, int sign)
v64uint8 | ussrs_conf (v64acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## 32-bit accumulator to 16-bit vector register conversion with dynamic shift/round/saturate selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v32int16 | lsrs (v32acc32 acc, int shft, int sign)
v32int16 | lsrs_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint16 | ulsrs (v32acc32 acc, int shft, int sign)
v32uint16 | ulsrs_conf (v32acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16int16 | lsrs (v16acc32 acc, int shft, int sign)
v16int16 | lsrs_conf (v16acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint16 | ulsrs (v16acc32 acc, int shft, int sign)
v16uint16 | ulsrs_conf (v16acc32 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## 64-bit accumulator to 16-bit vector register conversion with dynamic shift/round/saturate selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v16int16 | ssrs (v16acc64 acc, int shft, int sign)
v16int16 | ssrs_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint16 | ussrs (v16acc64 acc, int shft, int sign)
v16uint16 | ussrs_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8cint16 | ssrs (v8cacc64 acc, int shft, int sign)
v8cint16 | ssrs_conf (v8cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32int16 | ssrs (v32acc64 acc, int shft, int sign)
v32int16 | ssrs_conf (v32acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v32uint16 | ussrs (v32acc64 acc, int shft, int sign)
v32uint16 | ussrs_conf (v32acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16cint16 | ssrs (v16cacc64 acc, int shft, int sign)
v16cint16 | ssrs_conf (v16cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## 64-bit accumulator to 32-bit vector register conversion with dynamic shift/round/saturate selection
shft parameter is in the range of -4 to 59 sign parameter can be used to dynamically change the sign of the SRS conversion.
v16int32 | lsrs (v16acc64 acc, int shft, int sign)
v16int32 | lsrs_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v16uint32 | ulsrs (v16acc64 acc, int shft, int sign)
v16uint32 | ulsrs_conf (v16acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8int32 | lsrs (v8acc64 acc, int shft, int sign)
v8int32 | lsrs_conf (v8acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8uint32 | ulsrs (v8acc64 acc, int shft, int sign)
v8uint32 | ulsrs_conf (v8acc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v4cint32 | lsrs (v4cacc64 acc, int shft, int sign)
v4cint32 | lsrs_conf (v4cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)
v8cint32 | lsrs (v8cacc64 acc, int shft, int sign)
v8cint32 | lsrs_conf (v8cacc64 acc, int shft, int sign, crsat_t sat, crrnd_t rnd)

## 32-bit accumulator to 8-bit vector shift/round/saturate conversion
shft parameter is in the range of -4 to 59
v32int8 | ssrs (v32acc32 acc, int shft)
v32int8 | ssrs_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint8 | ussrs (v32acc32 acc, int shft)
v32uint8 | ussrs_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v64int8 | ssrs (v64acc32 acc, int shft)
v64int8 | ssrs_conf (v64acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v64uint8 | ussrs (v64acc32 acc, int shft)
v64uint8 | ussrs_conf (v64acc32 acc, int shft, crsat_t sat, crrnd_t rnd)

## 32-bit accumulator to 16-bit vector shift/round/saturate conversion
shft parameter is in the range of -4 to 59
v32int16 | lsrs (v32acc32 acc, int shft)
v32int16 | lsrs_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint16 | ulsrs (v32acc32 acc, int shft)
v32uint16 | ulsrs_conf (v32acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v16int16 | lsrs (v16acc32 acc, int shft)
v16int16 | lsrs_conf (v16acc32 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint16 | ulsrs (v16acc32 acc, int shft)
v16uint16 | ulsrs_conf (v16acc32 acc, int shft, crsat_t sat, crrnd_t rnd)

## 64-bit accumulator to 16-bit vector shift/round/saturate conversion
shft parameter is in the range of -4 to 59
v16int16 | ssrs (v16acc64 acc, int shft)
v16int16 | ssrs_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint16 | ussrs (v16acc64 acc, int shft)
v16uint16 | ussrs_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8cint16 | ssrs (v8cacc64 acc, int shft)
v8cint16 | ssrs_conf (v8cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v32int16 | ssrs (v32acc64 acc, int shft)
v32int16 | ssrs_conf (v32acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v32uint16 | ussrs (v32acc64 acc, int shft)
v32uint16 | ussrs_conf (v32acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16cint16 | ssrs (v16cacc64 acc, int shft)
v16cint16 | ssrs_conf (v16cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)

## 64-bit accumulator to 32-bit vector shift/round/saturate conversion
shft parameter is in the range of -4 to 59
v16int32 | lsrs (v16acc64 acc, int shft)
v16int32 | lsrs_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v16uint32 | ulsrs (v16acc64 acc, int shft)
v16uint32 | ulsrs_conf (v16acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8int32 | lsrs (v8acc64 acc, int shft)
v8int32 | lsrs_conf (v8acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8uint32 | ulsrs (v8acc64 acc, int shft)
v8uint32 | ulsrs_conf (v8acc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v4cint32 | lsrs (v4cacc64 acc, int shft)
v4cint32 | lsrs_conf (v4cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)
v8cint32 | lsrs (v8cacc64 acc, int shft)
v8cint32 | lsrs_conf (v8cacc64 acc, int shft, crsat_t sat, crrnd_t rnd)

## Detailed Description

## Function Documentation

## ◆ lsrs() [1/12]

v16int16 lsrs | ( | v16acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ lsrs() [2/12]

v16int16 lsrs | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ lsrs() [3/12]

v16int32 lsrs | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ lsrs() [4/12]

v16int32 lsrs | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ lsrs() [5/12]

v32int16 lsrs | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ lsrs() [6/12]

v32int16 lsrs | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ lsrs() [7/12]

v4cint32 lsrs | ( | v4cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ lsrs() [8/12]

v4cint32 lsrs | ( | v4cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ lsrs() [9/12]

v8int32 lsrs | ( | v8acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ lsrs() [10/12]

v8int32 lsrs | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ lsrs() [11/12]

v8cint32 lsrs | ( | v8cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ lsrs() [12/12]

v8cint32 lsrs | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ lsrs_conf() [1/12]

v16int16 lsrs_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [2/12]

v16int16 lsrs_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [3/12]

v16int32 lsrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [4/12]

v16int32 lsrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [5/12]

v32int16 lsrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [6/12]

v32int16 lsrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [7/12]

v4cint32 lsrs_conf | ( | v4cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [8/12]

v4cint32 lsrs_conf | ( | v4cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [9/12]

v8int32 lsrs_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [10/12]

v8int32 lsrs_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [11/12]

v8cint32 lsrs_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ lsrs_conf() [12/12]

v8cint32 lsrs_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs() [1/12]

v16int16 ssrs | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ssrs() [2/12]

v16int16 ssrs | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ssrs() [3/12]

v16cint16 ssrs | ( | v16cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ssrs() [4/12]

v16cint16 ssrs | ( | v16cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ssrs() [5/12]

v32int8 ssrs | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ssrs() [6/12]

v32int8 ssrs | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ssrs() [7/12]

v32int16 ssrs | ( | v32acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ssrs() [8/12]

v32int16 ssrs | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ssrs() [9/12]

v64int8 ssrs | ( | v64acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ssrs() [10/12]

v64int8 ssrs | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ssrs() [11/12]

v8cint16 ssrs | ( | v8cacc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ssrs() [12/12]

v8cint16 ssrs | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ssrs_conf() [1/12]

v16int16 ssrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [2/12]

v16int16 ssrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [3/12]

v16cint16 ssrs_conf | ( | v16cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [4/12]

v16cint16 ssrs_conf | ( | v16cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [5/12]

v32int8 ssrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [6/12]

v32int8 ssrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [7/12]

v32int16 ssrs_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [8/12]

v32int16 ssrs_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [9/12]

v64int8 ssrs_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [10/12]

v64int8 ssrs_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [11/12]

v8cint16 ssrs_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ssrs_conf() [12/12]

v8cint16 ssrs_conf | ( | v8cacc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs() [1/8]

v16uint16 ulsrs | ( | v16acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ulsrs() [2/8]

v16uint16 ulsrs | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ulsrs() [3/8]

v16uint32 ulsrs | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ulsrs() [4/8]

v16uint32 ulsrs | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ulsrs() [5/8]

v32uint16 ulsrs | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ulsrs() [6/8]

v32uint16 ulsrs | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ulsrs() [7/8]

v8uint32 ulsrs | ( | v8acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ulsrs() [8/8]

v8uint32 ulsrs | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ulsrs_conf() [1/8]

v16uint16 ulsrs_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs_conf() [2/8]

v16uint16 ulsrs_conf | ( | v16acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs_conf() [3/8]

v16uint32 ulsrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs_conf() [4/8]

v16uint32 ulsrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs_conf() [5/8]

v32uint16 ulsrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs_conf() [6/8]

v32uint16 ulsrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs_conf() [7/8]

v8uint32 ulsrs_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ulsrs_conf() [8/8]

v8uint32 ulsrs_conf | ( | v8acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs() [1/8]

v16uint16 ussrs | ( | v16acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ussrs() [2/8]

v16uint16 ussrs | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ussrs() [3/8]

v32uint8 ussrs | ( | v32acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ussrs() [4/8]

v32uint8 ussrs | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ussrs() [5/8]

v32uint16 ussrs | ( | v32acc64 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ussrs() [6/8]

v32uint16 ussrs | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ussrs() [7/8]

v64uint8 ussrs | ( | v64acc32 | acc,
|  | int | shft )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59

Returns
  Vector result of operation

## ◆ ussrs() [8/8]

v64uint8 ussrs | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59
  sign | Can be used to dynamically change the sign of the SRS conversion

Returns
  Vector result of operation

## ◆ ussrs_conf() [1/8]

v16uint16 ussrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs_conf() [2/8]

v16uint16 ussrs_conf | ( | v16acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs_conf() [3/8]

v32uint8 ussrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs_conf() [4/8]

v32uint8 ussrs_conf | ( | v32acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs_conf() [5/8]

v32uint16 ussrs_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs_conf() [6/8]

v32uint16 ussrs_conf | ( | v32acc64 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs_conf() [7/8]

v64uint8 ussrs_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of 0 to 59
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation

## ◆ ussrs_conf() [8/8]

v64uint8 ussrs_conf | ( | v64acc32 | acc,
|  | int | shft,
|  | int | sign,
|  | crsat_t | sat,
|  | crrnd_t | rnd )

Parameters

  acc | Input accumulator
  shft | Within the range of -4 to 59 (no check at compile time)
  sign | Can be used to dynamically change the sign of the SRS conversion
  sat | Saturation mode
  rnd | Round mode

Returns
  Vector result of operation